---
# roles/podman/tasks/main.yml

## Package management

- name: "Manage podman Packages"
  ansible.builtin.package:
    name: "{{ podman_package_names }}"
    state: "{{ podman_package_state }}"
  become: true
  notify:
    - "Restart podman Service"
  tags:
    - "podman"
    - "package"

## Service management

- name: "Manage Podman Service"
  ansible.builtin.service:
    name: "{{ podman_service_name }}"
    state: "{{ podman_service_state }}"
    enabled: "{{ podman_service_enabled }}"
  become: true
  when:
    - "podman_package_state != 'absent'"
  tags:
    - "podman"
    - "service"

- name: "Manage podman-auto-update Service"
  ansible.builtin.service:
    name: "{{ podman_auto_update_service_name }}"
    state: "{{ podman_auto_update_service_state }}"
    enabled: "{{ podman_auto_update_service_enabled }}"
  become: true
  when:
    - "podman_package_state != 'absent'"
  tags:
    - "podman"
    - "service"

- name: "Import podman-prune Tasks"
  ansible.builtin.include_tasks:
    file: "prune.yml"
  when:
    - "podman_prune_timers_enabled | bool"
  tags:
    - "podman"
    - "timer"
...
